# dmd.iasmgcc

Inline assembler for the GCC D compiler.

#### Discussion

Copyright (C) 2018-2022 by The D Language Foundation, All Rights Reserved

#### Authors

Iain Buclaw

#### License

Boost License 1.0

Source: iasmgcc.d

Documentation: https://dlang.org/phobos/dmd_iasmgcc.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/iasmgcc.d

- `gccAsmSemantic`

  #### Declaration

  `Statement `gccAsmSemantic`(GccAsmStatement `s`, Scope* `sc`);`

  Parse and run semantic analysis on a GccAsmStatement.

  #### Parameters

  `GccAsmStatement `s`` | gcc asm statement being parsed
  `Scope* `sc`` | the scope where the asm statement is located

  #### Return Value

  the completed gcc asm statement, or `null` if errors occurred